> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Remove Selected Shipping Rate from Quote

DELETE https://api-b2b.bigcommerce.com/api/v3/io/rfq/{quote_id}/shipping-rate

Removes the current shipping method associated with a specific quote based on the provided `quoteId`.This endpoint uses `/shipping-rate` (singular). Don't confuse it with the [Get Available Shipping Rates for a Quote](#get-rfq-quote_id-shipping-rates) endpoint, which uses `/shipping-rates` (plural). Using the wrong URL returns a **405 - Method Not Allowed** error.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/quotes/rfq-quote-id-delete-shipping-rate

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `quote_id` (integer, required) — The internal numeric ID of the sales quote.

## Response

### 204

OK

## Errors

### 422 Unprocessable Entity Error

Missing or invalid data The 422 error occurs if the queried quote does not currently have a shipping method, or if the quote has already been ordered.

- `code` (double, optional) — HTTP Response Code
- `data` (ResponseErrorData, optional)
- `meta` (ResponseErrorMeta, optional)

## Types

### ResponseErrorData

- `errMsg` (string, optional)

### ResponseErrorMeta

- `message` (string, optional)

## Examples

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate';
const options = {method: 'DELETE', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate");
var request = new RestRequest(Method.DELETE);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/shipping-rate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```